summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/mt-daapd/README (renamed from multimedia/mt-daapd/README)12
-rw-r--r--audio/mt-daapd/doinst.sh24
-rw-r--r--audio/mt-daapd/mt-daapd.SlackBuild (renamed from multimedia/mt-daapd/mt-daapd.SlackBuild)12
-rw-r--r--audio/mt-daapd/mt-daapd.info8
-rw-r--r--audio/mt-daapd/rc.mt-daapd (renamed from multimedia/mt-daapd/rc.mt-daapd)0
-rw-r--r--audio/mt-daapd/slack-desc (renamed from multimedia/mt-daapd/slack-desc)0
-rw-r--r--multimedia/mt-daapd/doinst.sh15
-rw-r--r--multimedia/mt-daapd/mt-daapd.info8
8 files changed, 46 insertions, 33 deletions
diff --git a/multimedia/mt-daapd/README b/audio/mt-daapd/README
index 8c560bb90a..b5b51339f7 100644
--- a/multimedia/mt-daapd/README
+++ b/audio/mt-daapd/README
@@ -9,13 +9,13 @@ This file should be edited before the daemon is run.
An init script has been included for the daemon; to run at boot time, add the
following to /etc/rc.d/rc.local:
- if [ -x /etc/rc.d/rc.mt-daapd ]; then
- /etc/rc.d/rc.mt-daapd start
- fi
+ if [ -x /etc/rc.d/rc.mt-daapd ]; then
+ /etc/rc.d/rc.mt-daapd start
+ fi
You might also want to have the daemon shut down gracefully on system halt or
reboot; if so, add the following to /etc/rc.d/rc.local_shutdown:
- if [ -x /etc/rc.d/rc.mt-daapd ]; then
- /etc/rc.d/rc.mt-daapd stop
- fi
+ if [ -x /etc/rc.d/rc.mt-daapd ]; then
+ /etc/rc.d/rc.mt-daapd stop
+ fi
diff --git a/audio/mt-daapd/doinst.sh b/audio/mt-daapd/doinst.sh
new file mode 100644
index 0000000000..2dd352a515
--- /dev/null
+++ b/audio/mt-daapd/doinst.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+# Keep same perms on rc.mt-daapd.new:
+if [ -e etc/rc.d/rc.mt-daapd ]; then
+ cp -a etc/rc.d/rc.mt-daapd etc/rc.d/rc.hald.new.incoming
+ cat etc/rc.d/rc.mt-daapd.new > etc/rc.d/rc.hald.new.incoming
+ mv etc/rc.d/rc.mt-daapd.new.incoming etc/rc.d/rc.hald.new
+fi
+
+config etc/rc.d/rc.mt-daapd.new
+config etc/mt-daapd.conf.new
diff --git a/multimedia/mt-daapd/mt-daapd.SlackBuild b/audio/mt-daapd/mt-daapd.SlackBuild
index e068b0e9bf..eebb1e8ec6 100644
--- a/multimedia/mt-daapd/mt-daapd.SlackBuild
+++ b/audio/mt-daapd/mt-daapd.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for mt-daapd
-# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# Copyright 2008 Andrew Brouwers <abrouwers@gmail.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,10 +25,11 @@
# Modified by the SlackBuilds.org project
PRGNAM=mt-daapd
-VERSION=0.2.4
+VERSION=0.2.4.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -38,13 +39,15 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
@@ -53,6 +56,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --build=$ARCH-slackware-linux \
|| exit 1
make || exit 1
@@ -62,7 +66,7 @@ make install-strip DESTDIR=$PKG || exit 1
install -D -m 0755 $CWD/rc.mt-daapd $PKG/etc/rc.d/rc.mt-daapd.new || exit 1
# Config file - default is good, but don't overwrite an existing one
-install -D -m 0644 contrib/mt-daapd.conf $PKG/etc/mt-daapd.conf.new || exit 1
+install -D -m 0644 contrib/mt-daapd.conf $PKG/etc/mt-daapd.conf.new || exit 1
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README TODO \
diff --git a/audio/mt-daapd/mt-daapd.info b/audio/mt-daapd/mt-daapd.info
new file mode 100644
index 0000000000..a20e815bb0
--- /dev/null
+++ b/audio/mt-daapd/mt-daapd.info
@@ -0,0 +1,8 @@
+PRGNAM="mt-daapd"
+VERSION="0.2.4.2"
+HOMEPAGE="http://mt-daapd.org"
+DOWNLOAD="http://dl.sourceforge.net/mt-daapd/mt-daapd-0.2.4.2.tar.gz"
+MD5SUM="67bef9fb14d487693b0dfb792c3f1b05"
+MAINTAINER="Andrew Brouwers"
+EMAIL="abrouwers@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/mt-daapd/rc.mt-daapd b/audio/mt-daapd/rc.mt-daapd
index c2d88322b7..c2d88322b7 100644
--- a/multimedia/mt-daapd/rc.mt-daapd
+++ b/audio/mt-daapd/rc.mt-daapd
diff --git a/multimedia/mt-daapd/slack-desc b/audio/mt-daapd/slack-desc
index 6c782bf88f..6c782bf88f 100644
--- a/multimedia/mt-daapd/slack-desc
+++ b/audio/mt-daapd/slack-desc
diff --git a/multimedia/mt-daapd/doinst.sh b/multimedia/mt-daapd/doinst.sh
deleted file mode 100644
index 51a2af9bf6..0000000000
--- a/multimedia/mt-daapd/doinst.sh
+++ /dev/null
@@ -1,15 +0,0 @@
-config() {
- NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
- # If there's no config file by that name, mv it over:
- if [ ! -r $OLD ]; then
- mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
- # toss the redundant copy
- rm $NEW
- fi
- # Otherwise, we leave the .new copy for the admin to consider...
-}
-
-config etc/rc.d/rc.mt-daapd.new
-config etc/mt-daapd.conf.new
diff --git a/multimedia/mt-daapd/mt-daapd.info b/multimedia/mt-daapd/mt-daapd.info
deleted file mode 100644
index 2992e2b807..0000000000
--- a/multimedia/mt-daapd/mt-daapd.info
+++ /dev/null
@@ -1,8 +0,0 @@
-PRGNAM="mt-daapd"
-VERSION="0.2.4"
-HOMEPAGE="http://mt-daapd.org"
-DOWNLOAD="http://dl.sourceforge.net/mt-daapd/mt-daapd-0.2.4.tar.gz"
-MD5SUM="2e1cdbe6b94ef153e915806f80a28dca"
-MAINTAINER="Andrew Brouwers"
-EMAIL="abrouwers@gmail.com"
-APPROVED="rworkman"